package body MSHTML.IHTMLMetaElement_Object is

   procedure Put_httpEquiv
     (This : IHTMLMetaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMetaElement_Put_httpEquiv,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_httpEquiv;

   function Get_httpEquiv
     (This : IHTMLMetaElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMetaElement_Get_httpEquiv);
   end Get_httpEquiv;

   procedure Put_content
     (This : IHTMLMetaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMetaElement_Put_content,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_content;

   function Get_content
     (This : IHTMLMetaElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMetaElement_Get_content);
   end Get_content;

   procedure Put_name
     (This : IHTMLMetaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMetaElement_Put_name,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_name;

   function Get_name
     (This : IHTMLMetaElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMetaElement_Get_name);
   end Get_name;

   procedure Put_url
     (This : IHTMLMetaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMetaElement_Put_url,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_url;

   function Get_url
     (This : IHTMLMetaElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMetaElement_Get_url);
   end Get_url;

   procedure Put_charset
     (This : IHTMLMetaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMetaElement_Put_charset,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_charset;

   function Get_charset
     (This : IHTMLMetaElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMetaElement_Get_charset);
   end Get_charset;

end MSHTML.IHTMLMetaElement_Object;

